#!/bin/bash

# Older compiz versions start gtk-window-decorator only if GNOME_DESKTOP_SESSION_ID is set.
[ -n "$GNOME_DESKTOP_SESSION_ID" ] || export GNOME_DESKTOP_SESSION_ID="LXDE"

[ -x /usr/lib/gamin/gam_server ] && exec /usr/lib/gamin/gam_server --notimeout & sleep 2

export SAL_USE_VCLPLUGIN="gtk" GTK_MODULES="gail:atk-bridge"
startorca ; sleep 10 

case "$1" in start*) ;; *) exec compiz --replace & sleep 10 ;; esac

# Orca, for some reason, ruins Alt_R on the german keyboard.
# This is a workaround to fix it.
(
 for ((i=0; i<30; i++)); do
  sleep 2
  xmodmap | grep -q 'mod1.*ISO_Level3_Shift' && xmodmap -e "remove mod1 = ISO_Level3_Shift"
 done
) &

exec "$@"
